Subject: [Json] JSON extensions

From: Bjoern Hoehrmann <[email-masked]>
Date: Mon, 25 Nov 2013 23:48:16 +0100

Hi,

  In http://tools.ietf.org/html/draft-ietf-json-rfc4627bis-07#section-9
we still have "A JSON parser MAY accept non-JSON forms or extensions". 
Some have argued that if one adds extensions that one should not call
the result JSON anymore, so I wanted to highlight this. Also, since the
draft does not require parsers to reject unrecognised constructs, this
"MAY" does not really add to the document. And note that ECMA-262 calls
this out as a difference between RFC 4627 and the `JSON.parse(...)` API
since the latter explicitly prohibits extensions.

The IESG has asked for comments by today, by the way.

regards,
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/